<?php

namespace src\Migrations;

class _009_colunaTipoTrabalhoProposta
{
    public function up()
    {
        $conexao = new \src\Conexao\Conexao();
        $conn = $conexao->getConexao();

        $query = "ALTER TABLE proposta
        ADD COLUMN tipo_trabalho ENUM('Família', 'Casal', 'Casamento', 'Gestante', 'Feminino', '1 Aninho')";

        $stmt = $conn->prepare($query);
        if (!$stmt) {
            echo "Erro ao preparar a consulta: " . $conn->error;
            return null;
        }

        $stmt->execute();
    }

    public function down()
    {
    }
}
